/*
 * CFINGERD
 * Configuration file
 *
 * Make any modifications you need to this file.  You may change any of the
 * options in this file.  If you're unsure about one of the options, simply
 * leave it as the standard that is already there.  It will save you lots
 * of headache in the long run.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

/*****************************************************************************/

/*
 * CFINGER_CONF
 *
 * This is the name of your cfingerd configuration file.
 */
#define	CFINGER_CONF		"/etc/cfingerd.conf"

/*
 * USER_CONF
 *
 * These are the names of the files that users have access to in order to
 * turn on or off options that they don't want displayable in their finger
 * queries.
 */
#define	USER_CONF		".cfingerrc"

/*
 * MAIL_SPOOL_DIR
 *
 * This is the mail spooling directory.  This is the place where all of
 * the users' mail is housed.
 */
#define	MAIL_SPOOL_DIR		"/var/spool/mail"

/*
 * ACTUAL_HOSTNAME
 *
 * If you have various numbers of hostnames that are local for you, you
 * may want to override the "get_localhost" routine, which gets the name
 * of your localhost.  If so, define this as whatever your system is.
 */


/*
 * NOBODY_UID
 *
 * This is the value of the nobody user ID on your system.  It is not
 * recommended that you change this, as it is configured at make time.
 */
#define	NOBODY_UID		403

/*
 * NOBODY_GID
 *
 * Same as the above, only for the group ID.
 */
#define	NOBODY_GID		100

/*
 * COMPILE_DT
 *
 * This is the compilation date and time.  Please don't mess with this,
 * as this should remain internal.
 */
#define	COMPILE_DT		"Thu Sep 19 18:51:35 EDT 1996"

/*
 * WTMPFILE
 *
 * This is the file that is used to find out when the last time a user
 * has logged in.  If "wtmp" is used here, it can make cfingerd a little
 * slower if you have a large wtmp file.  If "lastlog" is used, it speeds
 * up performance dramatically.  But, not every system has "lastlog".
 */
#define	WTMPFILE		"/var/adm/lastlog"

/*
 * USE_LASTLOG
 *
 * This variable tells cfingerd that we are using lastlog, and since lastlog
 * has a different format than wtmp does, it requires different code.
 */
#define	USE_LASTLOG		1

/*
 * HAS_SHADOW
 *
 * If you have shadow passwords compiled into your system, lastlog format will
 * have changed by 4 bytes.  (Why, I have no idea.)  This is here for
 * shadow password compatibility.
 */
#define	HAS_SHADOW		1
